| Home | Libraries | People | FAQ | More

## Struct template result<This(InputIterator, InputIterator)>

boost::proto::functional::distance::result<This(InputIterator, InputIterator)>

## Synopsis

    // In header: <boost/proto/functional/std/iterator.hpp>

    template<typename This, typename InputIterator>
    struct result<This(InputIterator, InputIterator)> {
      // types
      typedef typename std::iterator_traits<
          typename boost::remove_const<
            typename boost::remove_reference<InputIterator>::type
          >::type
        >::difference_type type;
    };